[RFC] [libremakepkg]Uses the chroot makepkg.conf when downloading sources
Status: info needed % Done: 0%
Priority: discussion

Assignee:

Category:

Description

Currently, libremakepkg uses the chroot's makepkg.conf when extracting sources. 1 think that perhaps it should use the host
makepkg.conf.

Why | think it should use the host makepkg.conf:

e |f ccache (or similar) is used in the chroot, but not outside, it will error.
¢ |t won't know how to run librefetch. This breaks the workflow.

Why | think it should be use the chroot makepkg.conf:

¢ That's what Arch's devtools:makechrootpkg does (I figure the Arch devs had a reasonable reason for doing it this way).
¢ Changing things risks breaking things.

Related issues:
Related to libretools - Bug #1323: [librechroot]->mkarchroot->pacstrap uses s... open 2017-05-09

History

#1 - 2014-03-05 11:28 PM - lukeshu

lukeshu wrote:

e |t won't know how to run librefetch. This breaks the workflow.

Derp, it will only break the workflow if the sources were generated on another box, but weren't uploaded. Since we're uploading them now, that's not
an issue.

However, this is still valid:

e |f ccache (or similar) is used in the chroot, but not outside, it will error.

We could try temporarily setting makepkg.conf:OPTIONS to dissable these things during download?

#2 - 2016-04-15 10:59 PM - lukeshu

- Priority changed from bug to discussion

#3 - 2018-08-16 12:06 AM - lukeshu

- Related to Bug #1323: [librechroot]->mkarchroot->pacstrap uses system pacman.conf by default added
